import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;

public class AlwaysOnTopSample2 {
    private JFrame frame;
    private JButton button;

    public AlwaysOnTopSample2() {
        frame = new JFrame("AlwaysOnTopSample");
        frame.setSize(100, 100);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        button = new JButton("Always on Top");
        button.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent event) {
                    if (frame.isAlwaysOnTop()) {
                        button.setText("AlwaysOnTop Mode");
                        frame.setAlwaysOnTop(false);
                    } else {
                        button.setText("Normal Mode");
                        frame.setAlwaysOnTop(true);
                    }
                }
            });
        frame.getContentPane().add(button);

        frame.setVisible(true);
    }

    public static void main(String[] args) {
        new AlwaysOnTopSample2();
    }
}
